[Overview][Procedures and functions][Index] | Reference for unit 'dxeload' (#rtl)

# dxe_load

Load DXE file in memory

## Declaration

Source position: dxeload.pp line 22

`function dxe_load(`
`filename: string`
`):pointer;`

## Description

dxe_load loads the contents of the file filename into memory. It performs the necessary relocations in the object code, and returns then a pointer to the entry point of the code.

For an example, see the emu387 unit in the RTL.

## Errors

If an error occurs during the load or relocations, Nil is returned.